org.keycloak.migration.migrators

## Class MigrateTo9_0_4

- java.lang.Object
- - org.keycloak.migration.migrators.MigrateTo9_0_4

- All Implemented Interfaces:
    Migration

      public class MigrateTo9_0_4
      extends Object
      implements Migration

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ModelVersion` | `VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MigrateTo9_0_4()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkAuthConfigNullAlias(RealmModel realm)`
    `ModelVersion` | `getVersion()`
    `void` | `migrate(KeycloakSession session)`
    `void` | `migrateImport(KeycloakSession session, RealmModel realm, RealmRepresentation rep, boolean skipUserDependent)` Called after full import of representation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION

          public static final ModelVersion VERSION

  - ### Constructor Detail

    - #### MigrateTo9_0_4

          public MigrateTo9_0_4()

  - ### Method Detail

    - #### getVersion

          public ModelVersion getVersion()

      Specified by:
        `getVersion` in interface `Migration`

    - #### migrate

          public void migrate(KeycloakSession session)

      Specified by:
        `migrate` in interface `Migration`

    - #### migrateImport

          public void migrateImport(KeycloakSession session,
                                    RealmModel realm,
                                    RealmRepresentation rep,
                                    boolean skipUserDependent)

      Description copied from interface: `Migration`
      Called after full import of representation. Implementations of this method should try not make assumptions about what was imported from the representations. We have no idea what the user will do to an exported json file.
      Specified by:
        `migrateImport` in interface `Migration`

    - #### checkAuthConfigNullAlias

          protected void checkAuthConfigNullAlias(RealmModel realm)

Copyright © 2021 JBoss by Red Hat. All rights reserved.